=== debian/changelog ===
netgen-lvs (1.5.107-1) unstable; urgency=medium

  * Initial upload (Closes: #905952)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 23 Sep 2018 12:07:21 +0200
