=== debian/control ===
Source: netgen-lvs
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>= 11),
               tcl-dev,
               tk-dev,
               txt2man
Standards-Version: 4.2.1
Homepage: http://opencircuitdesign.com/netgen/
Vcs-Browser: https://salsa.debian.org/electronics-team/netgen-lvs
Vcs-Git: https://salsa.debian.org/electronics-team/netgen-lvs.git

Package: netgen-lvs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python3,
         python3-tk
Description: Netlist comparison - Layout vs Schematic (LVS)
 Netgen is a tool for comparing netlists, a process known as LVS, which stands
 for "Layout vs. Schematic". This is an important step in the integrated circuit
 design flow, ensuring that the geometry that has been laid out matches the
 expected circuit.
 .
 Very small circuits can bypass this step by confirming circuit operation
 through extraction and simulation. Very large digital circuits are usually
 generated by tools from high-level descriptions, using compilers that ensure
 the correct layout geometry. The greatest need for LVS is in large analog or
 mixed-signal circuits that cannot be simulated in reasonable time.
 .
 Note that the executable name in Debian is 'netgen-lvs'. For details, see
 /usr/share/doc/netgen-lvs/README.Debian
