=== debian/changelog ===
netgen-lvs (1.5.118-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - New standards version 4.3.0 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 29 Jan 2019 16:00:01 +0000
