=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                tcl-dev,
                tk-dev,
                txt2man
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://opencircuitdesign.com/netgen/
 Vcs-Browser: https://salsa.debian.org/electronics-team/netgen-lvs
 Vcs-Git: https://salsa.debian.org/electronics-team/netgen-lvs.git
