=== debian/changelog ===
netgen-lvs (1.5.133-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - New standards version 4.4.1 - no changes
    - Use debhelper-compat instead of debian/compat file
    - DH level 12
  * d/patches/0002-Fix-some-sprintf-calls.patch:
    - Fails to build with strict format check enabled

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 19 Oct 2019 11:35:31 +0200
