=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                tcl-dev,
                tk-dev,
                txt2man
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://opencircuitdesign.com/netgen/
 Vcs-Browser: https://salsa.debian.org/electronics-team/netgen-lvs
 Vcs-Git: https://salsa.debian.org/electronics-team/netgen-lvs.git
