=== debian/tests/control ===
Tests: can-show-help
Depends: netgen-lvs
