=== debian/watch ===
version=3
http://opencircuitdesign.com/netgen/download.html .*netgen-(1\.5\..*).tgz
